Jump to content
Imanol

Possible problem with MariaDB?

Recommended Posts

Hi everyone,

Since last week my virtual airline can not receive flights reports because the PIREPS function stopped working by surprise (manually or through smartCARS).

I tried reinstalling the PIREPS module, the classes files and the whole site using the last version of phpVMS available but it does not work either.

I contacted my hosting provider and after some tests they told me it could be a problem compatibility with MariaDB. Last Wednesday they updated their servers, including MariaDB, since then I have this issue.

 

Here you have more details:

SQL: 10.2.8-MariaDB
phpMyAdmin: 4.7
Apache: 2.4.27 + LSAPI
PHP 7.0.22

Could be this a problem with MariaDB?

Edited by Imanol

Share this post


Link to post
Share on other sites

Hi @servetas, it's set to 5.6 but it does not work either. Acoording what my hosting provider said, this could be an imcopatibily problem with MariaDB. I tested phpVMS with 000webhost (With php 7.0 and a previews version of mariaDB) and it works perfectely.

Share this post


Link to post
Share on other sites

I have the same problems now. Did you find the solution?

PHP 5.6.34 and MariaDB 10.2.12

Regards,

 

Cor

Share this post


Link to post
Share on other sites
On 3/29/2018 at 8:10 PM, Cor said:

Solution back to MariaDB 10.1 :lol:

Dear all

It looks like this has hit our airline now. It all started after pilots were not able to file PIREPs with error "There was an error adding your PIREP : Schedule does not exist. Please update this manually.". As the error made no sence, I googeled for hrs., tried different steps, but nothing has worked so far. I have been contact with our hosting company and they sayd that they performed an update from MariaDB 10.1.38 to 10.3.14. rollback not possible. So it looks like it might be related. I am running phpvms 5.5.x @ http://efb.flying.ee/ with highly customized systems, not really ready to move to phpvms 7 yet. Rest of the site works perfectly, sending PIREPs is impossible.

Is there anyone who can advise what to do further besides rollback or get another hosting company? There has to be a solution from our side as I can imagine that this problem will spread as MariaDB 10.3 is out since 2017?

Waiting for a soonest reply.

Share this post


Link to post
Share on other sites

Dear all

"Fixed" the problem by moving phpvms installation to fivedev hosting, but I guess another solution is needed to be future proof.

BR
Heigo

Share this post


Link to post
Share on other sites
16 hours ago, yourairways said:

Dear all

It looks like this has hit our airline now. It all started after pilots were not able to file PIREPs with error "There was an error adding your PIREP : Schedule does not exist. Please update this manually.". As the error made no sence, I googeled for hrs., tried different steps, but nothing has worked so far. I have been contact with our hosting company and they sayd that they performed an update from MariaDB 10.1.38 to 10.3.14. rollback not possible. So it looks like it might be related. I am running phpvms 5.5.x @ http://efb.flying.ee/ with highly customized systems, not really ready to move to phpvms 7 yet. Rest of the site works perfectly, sending PIREPs is impossible.

Is there anyone who can advise what to do further besides rollback or get another hosting company? There has to be a solution from our side as I can imagine that this problem will spread as MariaDB 10.3 is out since 2017?

Waiting for a soonest reply.

Is there an error log or possible to get the error from SQL? I was gonna ask what the sql error, etc, might be above this line:

https://github.com/nabeelio/phpvms_v2/blob/88656de961463b46ce742c77455c67c5c06fdfac/core/modules/PIREPS/PIREPS.php#L127

 

Share this post


Link to post
Share on other sites

Hi, could you please advise where to get/access the SQL error log? Did not find anything related from cPanel. There was nothing specific on error_log created by phpVMS itself.

 

Share this post


Link to post
Share on other sites

phpVMS 5.5.2 won't install correctly using  MySQL 5.7

While there are some incompatibilities and feature differences between Maria DB and MySQL........

  • Maria DB 10.2 is compatible with MySQL 5.7
  • Maria DB 10.0 is compatible with MySQL 5.6

https://mariadb.com/kb/en/library/mariadb-vs-mysql-compatibility/

Edited by ProAvia

Share this post


Link to post
Share on other sites
16 hours ago, yourairways said:

Hi, could you please advise where to get/access the SQL error log? Did not find anything related from cPanel. There was nothing specific on error_log created by phpVMS itself.

 

Unfortunately, you'll have to edit the code where I pointed out so that you can output the exact message there. Unfortunately, it could just be that the code is just too "old" to support maria properly. As @ProAvia pointed out, though they're supposed to be compatible, there could still be issues in compat

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×